using System.Data;

namespace RGD.DBUtility
{
    public class ParamInfo
    {
        public ParamInfo(string name, object value, SqlDbType dbtype)
        {
            this.Name = name;
            this.Value = value;
            this.DbType = dbtype;
            //this.Size = size;
            //this.Direction = ParameterDirection.Input;
        }

        public ParamInfo(string name, object value, SqlDbType dbtype, int size)
        {
            this.Name = name;
            this.Value = value;
            this.DbType = dbtype;
            this.Size = size;
            //this.Direction = ParameterDirection.Input;
        }

        public ParamInfo(string name, object value, SqlDbType dbtype, int size, ParameterDirection direction)
        {
            this.Name = name;
            this.Value = value;
            this.DbType = dbtype;
            this.Size = size;
            this.Direction = direction;
        }

        public ParamInfo(string name, SqlDbType dbtype, int size)
        {
            this.Name = name;
            this.Value = string.Empty;
            this.DbType = dbtype;
            this.Size = size;
            this.Direction = ParameterDirection.Output;
        }

        public string Name
        {
            get;
            set;
        }

        public object Value
        {
            get;
            set;
        }

        public SqlDbType DbType
        {
            get;
            set;
        }

        public int Size
        {
            get;
            set;
        }

        public ParameterDirection Direction
        {
            get;
            set;
        }
    }
}